%global modname pythonz
%global srcname pythonz-bd
%global sum     Manage python installations in your system

%if 0%{?fedora}
%global with_python3 1
%endif

Name:          python-%{srcname}
Summary:       %{sum}
URL:           https://pypi.python.org/pypi/%{srcname}
License:       MIT

Version:       1.11.2
Release:       1%{?dist}
Source0:       https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch

%description
pythonz is a program to automate the building and installation of Python in
the users $HOME. This is a fork of the original project, pythonbrew.

CPython, Stackless, PyPy and Jython are supported.

%package -n python2-%{srcname}
Summary:       %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires: python2-devel
BuildRequires: python-setuptools

%description -n python2-%{srcname}
%{description}


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:       %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
# With Python 3.5, pythonz-bd has additional requirements
%if 0%{?fedora} >= 24
# For the unit tests
BuildRequires: python3-resumable-urlretrieve
Requires:      python3-resumable-urlretrieve
%endif

%description -n python3-%{srcname}
%{description}
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
export LANG=en_US.utf8
%if 0%{?with_python3}
%py3_build
%endif
%py2_build


%install
export LANG=en_US.utf8
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python2-%{srcname}
%doc README.rst
%if !0%{?with_python3}
%{_bindir}/%{modname}
%{_bindir}/%{modname}_install
%endif
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}*.egg-info


%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/%{modname}
%{_bindir}/%{modname}_install
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}*.egg-info
%endif

%changelog
* Wed Feb 17 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.11.2-1
- Add python2 subpackage

* Thu Jan 28 2016 Mathieu Bridon <bochecha@daitauha.fr> - 1.11.2-0.bochecha.1
- Initial package for Fedora.
